using System;
using System.Collections.Generic;

namespace OnlineAssessment.Domain.Models
{
    public partial class Classes
    {
        public Classes()
        {
            ClassExams = new HashSet<ClassExams>();
            ClassLanguages = new HashSet<ClassLanguages>();
            Subjects = new HashSet<Subjects>();
            UserGroups = new HashSet<UserGroups>();
        }

        public int Id { get; set; }
        public int InstituteId { get; set; }
        public DateTime? CreatedOn { get; set; }
        public DateTime? UpdatedOn { get; set; }
        public bool? IsActive { get; set; }

        public virtual Institutes Institute { get; set; }
        public virtual ICollection<ClassExams> ClassExams { get; set; }
        public virtual ICollection<ClassLanguages> ClassLanguages { get; set; }
        public virtual ICollection<Subjects> Subjects { get; set; }
        public virtual ICollection<UserGroups> UserGroups { get; set; }
    }
}
